# List cost changes

List cost changes from the latest plan and last applied state for the current execution.

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/executions/{pipeline_execution_id}/cost-changes
Version: 1.0
Security: x-api-key

## Query parameters:

  - `pipeline_stage_id` (string)
    Example: "Veritatis dolorem enim architecto iusto."

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "s"

  - `project` (string, required)
    Project is the project identifier.
    Example: "9xp"

  - `pipeline_execution_id` (string, required)
    Pipeline execution ID
    Example: "ne"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "krd"

## Response 200 fields (application/json):

  - `currency` (string, required)
    Currency of the costs
    Example: "Omnis laudantium voluptates excepturi tempore et qui."

  - `diff` (object, required)
    Map of the type of resources and their costs.
    Example: {"Quo veritatis.":{"current_monthly_cost":"Officiis praesentium et distinctio magni voluptas magni.","diff":[{"current_monthly_cost":"Debitis reiciendis et consectetur distinctio sequi.","diff_monthly_cost":"Doloremque dolores ullam dolores corporis quia non.","name":"Atque omnis ut voluptatem qui commodi eos.","percentage_change_monthly_cost":7757122607419809000,"previous_monthly_cost":"Dignissimos perspiciatis et asperiores et eos.","subresources":{"Dignissimos et facere.":{"current_monthly_cost":"Ipsum ipsum harum occaecati laborum vel placeat.","diff_monthly_cost":"Vero qui id ut iure.","percentage_change_monthly_cost":6337052443379880000,"previous_monthly_cost":"Ipsum earum corrupti."}}},{"current_monthly_cost":"Debitis reiciendis et consectetur distinctio sequi.","diff_monthly_cost":"Doloremque dolores ullam dolores corporis quia non.","name":"Atque omnis ut voluptatem qui commodi eos.","percentage_change_monthly_cost":7757122607419809000,"previous_monthly_cost":"Dignissimos perspiciatis et asperiores et eos.","subresources":{"Dignissimos et facere.":{"current_monthly_cost":"Ipsum ipsum harum occaecati laborum vel placeat.","diff_monthly_cost":"Vero qui id ut iure.","percentage_change_monthly_cost":6337052443379880000,"previous_monthly_cost":"Ipsum earum corrupti."}}},{"current_monthly_cost":"Debitis reiciendis et consectetur distinctio sequi.","diff_monthly_cost":"Doloremque dolores ullam dolores corporis quia non.","name":"Atque omnis ut voluptatem qui commodi eos.","percentage_change_monthly_cost":7757122607419809000,"previous_monthly_cost":"Dignissimos perspiciatis et asperiores et eos.","subresources":{"Dignissimos et facere.":{"current_monthly_cost":"Ipsum ipsum harum occaecati laborum vel placeat.","diff_monthly_cost":"Vero qui id ut iure.","percentage_change_monthly_cost":6337052443379880000,"previous_monthly_cost":"Ipsum earum corrupti."}}}],"diff_monthly_cost":"Qui repudiandae maiores.","percentage_change_monthly_cost":1842691425972299300,"previous_monthly_cost":"Nihil at vitae reprehenderit dolorem."}}

  - `diff_total_monthly_cost` (string, required)
    Difference of cost between workspaces per month
    Example: "Voluptas sed velit."

  - `past_total_monthly_cost` (string, required)
    Total cost of the resources per month for the last workspace
    Example: "Occaecati commodi sapiente odio autem iste."

  - `percentage_change_total_monthly_cost` (integer, required)
    The change between the costs per month represented as a percentage
    Example: 489751891894975200

  - `stage_execution_id` (string, required)
    The stage execution ID
    Example: "Deleniti explicabo corporis sapiente vero corporis harum."

  - `stage_id` (string, required)
    The stage ID
    Example: "Aliquam consequatur et."

  - `total_monthly_cost` (string, required)
    Total cost of the resources per month
    Example: "Quis dicta."

  - `workspace_id` (string, required)
    The workspace identifier
    Example: "Quo ipsam in molestias repudiandae eligendi ut."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


